#
# spec file for package ttf-arphic (Version 20001125)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ttf-arphic
Copyright: ARPHIC PUBLIC LICENSE, Copyright (C) 1999 Arphic Technology Co., Ltd.
Group: Extensions/Chinese
Autoreqprov: on
Version:      20001125
Release:      115
URL: http://www.arphic.com.tw/
# ttf files have been downloaded from debian.
Source0: ttf-arphic.tar.bz2
Source1: fonts.scale.bkai00mp
Source2: fonts.scale.bsmi00lp
Source3: fonts.scale.gkai00mp
Source4: fonts.scale.gbsn00lp
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root
Summary:      Chinese TrueType fonts by Arphic Technology (only license in this package)

%description
Chinese TrueType fonts by Arphic Technology. This package contains
only the license texts. The fonts itself are in the sub-packages
ttf-arphic-bkai00mp, ttf-arphic-bsmi00lp, ttf-arphic-gkai00mp, and
ttf-arphic-gbsn00lp.

Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

SuSE series: han

%package -n ttf-arphic-bkai00mp
Group: Extensions/Chinese
Requires: ttf-arphic
Summary:      "AR PL KaitiM Big5" Chinese TrueType font by Arphic Technology

%description -n ttf-arphic-bkai00mp
"AR PL KaitiM Big5" is a high-quality Chinese TrueType font
(bkai00mp.ttf) generously provided by Arphic Technology to the Free
Software community under the "Arphic Public License".

Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

SuSE series: han

%package -n ttf-arphic-bsmi00lp
Group: Extensions/Chinese
Requires: ttf-arphic
Summary:      "AR PL Mingti2L Big5" Chinese TrueType font by Arphic Technology

%description -n ttf-arphic-bsmi00lp
"AR PL Mingti2L Big5" is a high-quality Chinese TrueType font
(bsmi00lp.ttf) generously provided by Arphic Technology to the Free
Software community under the "Arphic Public License".

Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

SuSE series: han

%package -n ttf-arphic-gkai00mp
Group: Extensions/Chinese
Requires: ttf-arphic
Summary:      "AR PL KaitiM GB" Chinese TrueType font by Arphic Technology

%description -n ttf-arphic-gkai00mp
"AR PL KaitiM GB" is a high-quality Chinese TrueType font
(gkai00mp.ttf) generously provided by Arphic Technology to the Free
Software community under the "Arphic Public License".

Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

SuSE series: han

%package -n ttf-arphic-gbsn00lp
Group: Extensions/Chinese
Requires: ttf-arphic
Summary:      "AR PL SungtiL GB" Chinese TrueType font by Arphic Technology

%description -n ttf-arphic-gbsn00lp
"AR PL SungtiL GB" is a high-quality Chinese TrueType font
(gbsn00lp.ttf) generously provided by Arphic Technology to the Free
Software community under the "Arphic Public License".

Authors:
--------
    Arphic Technology Co., Ltd. <webmaster@www.arphic.com.tw>

SuSE series: han

%prep
%setup -n ttf-arphic
cp $RPM_SOURCE_DIR/fonts.scale* .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -c -m 644 *.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
install -c -m 644 fonts.scale.* \
                  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/

%post -n ttf-arphic-bkai00mp
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%postun -n ttf-arphic-bkai00mp
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%post -n ttf-arphic-bsmi00lp
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%postun -n ttf-arphic-bsmi00lp
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%post -n ttf-arphic-gkai00mp
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%postun -n ttf-arphic-gkai00mp
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%post -n ttf-arphic-gbsn00lp
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%postun -n ttf-arphic-gbsn00lp
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%doc ./license

%files -n ttf-arphic-bkai00mp
%defattr(-, root,root)
/usr/X11R6/lib/X11/fonts/truetype/bkai00mp.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.bkai00mp

%files -n ttf-arphic-bsmi00lp
%defattr(-, root,root)
/usr/X11R6/lib/X11/fonts/truetype/bsmi00lp.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.bsmi00lp

%files -n ttf-arphic-gkai00mp
%defattr(-, root,root)
/usr/X11R6/lib/X11/fonts/truetype/gkai00mp.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.gkai00mp

%files -n ttf-arphic-gbsn00lp
%defattr(-, root,root)
/usr/X11R6/lib/X11/fonts/truetype/gbsn00lp.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.gbsn00lp

%changelog -n ttf-arphic
* Thu May 03 2001 - mfabian@suse.de
- remove %%post and %%postun, it is enough when SuSEconfig
  updates the font directory, better don't duplicate the code
  here.
- improve fonts.scale.*
* Thu Nov 30 2000 - mfabian@suse.de
- improved %%post and %%postun scripts. The previous version
  failed when this package was installed by autobuild into
  the buildsystem's chroot environment. I hope this is fixed now.
* Mon Nov 27 2000 - mfabian@suse.de
- mark fonts.scale* files as %%config files
* Mon Nov 27 2000 - mfabian@suse.de
- removed workaround in .spec file to prevent %%{?suse_check}
  from gzipping the fonts.scale.xtt-fonts file
  %%{?suse_check} works correctly now, this workaround is no longer
  needed.
- edited missing .pac files
* Sat Nov 25 2000 - mfabian@suse.de
- new package: ttf-arphic
